@import 'global.css';

.auth-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    background: var(--accent-secondary);
    width: 90%;
    border-radius: 12px;
    align-self: center;
    padding: 20px 20px 20px 20px;
}

.app-content:has(.auth-container) {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.auth-container form {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.auth-container form input, textarea {
    background: transparent;
    border-radius: 10px;
    color: var(--text);
    outline: none;
    border: 2px solid var(--text);
    padding: 10px 10px 10px 10px;
    font-weight: bolder;
    margin-top: 10px;
}

.auth-container form input::placeholder, textarea::placeholder {
    color: var(--text);
}

.auth-container .input-container {
    display: flex;
    flex-direction: column;
    margin-top: 12px;
    margin-bottom: 12px;
}

.auth-container .input-container label {
    text-align: left;
    font-size: 16px;
    font-weight: 600;
}

.auth-container form button {
    align-self: center;
}